/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.enums;

import java.util.HashMap;

import com.redhat.rhevm.api.model.DiskInterface;

public enum PowerShellDiskInterface {
    IDE(DiskInterface.IDE),
    VirtIO(DiskInterface.VIRTIO);

    private static HashMap<DiskInterface, PowerShellDiskInterface> mapping;
    static {
        mapping = new HashMap<DiskInterface, PowerShellDiskInterface>();
        for (PowerShellDiskInterface value : values()) {
            mapping.put(value.model, value);
        }
    }

    private DiskInterface model;

    private PowerShellDiskInterface(DiskInterface model) {
        this.model = model;
    }

    public DiskInterface map() {
        return model;
    }

    public static PowerShellDiskInterface forModel(DiskInterface model) {
        return mapping.get(model);
    }
}
