/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.enums;

import java.util.HashMap;

import com.redhat.rhevm.api.model.DisplayType;

public enum PowerShellDisplayType {
    VNC(DisplayType.VNC),
    Spice(DisplayType.SPICE);

    private static HashMap<DisplayType, PowerShellDisplayType> mapping;
    static {
        mapping = new HashMap<DisplayType, PowerShellDisplayType>();
        for (PowerShellDisplayType value : values()) {
            mapping.put(value.model, value);
        }
    }

    private DisplayType model;

    private PowerShellDisplayType(DisplayType model) {
        this.model = model;
    }

    public DisplayType map() {
        return model;
    }

    public static PowerShellDisplayType forModel(DisplayType model) {
        return mapping.get(model);
    }
}
