/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.model;

import java.util.ArrayList;
import java.util.List;

import com.redhat.rhevm.api.model.Version;
import com.redhat.rhevm.api.powershell.util.PowerShellParser;

public class PowerShellVersion {

    public static List<Version> parse(PowerShellParser parser, String output) {
        List<Version> ret = new ArrayList<Version>();

        for (PowerShellParser.Entity entity : parser.parse(output)) {
            Version version = new Version();
            version.setMajor(entity.get("major", Integer.class));
            version.setMinor(entity.get("minor", Integer.class));
            ret.add(version);
        }

        return ret;
    }
}
