/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.model;

import java.util.ArrayList;
import java.util.List;

import com.redhat.rhevm.api.model.Cluster;
import com.redhat.rhevm.api.model.Template;
import com.redhat.rhevm.api.model.VmPool;
import com.redhat.rhevm.api.powershell.util.PowerShellParser;

public class PowerShellVmPool {

    public static List<VmPool> parse(PowerShellParser parser, String output) {
        List<VmPool> ret = new ArrayList<VmPool>();

        for (PowerShellParser.Entity entity : parser.parse(output)) {
            VmPool pool = new VmPool();

            pool.setId(entity.get("vmpoolid", String.class, Integer.class).toString());
            pool.setName(entity.get("name"));
            pool.setDescription(entity.get("description"));
            pool.setSize(entity.get("vmcount", Integer.class));

            Cluster cluster = new Cluster();
            cluster.setName(entity.get("cluster"));
            pool.setCluster(cluster);

            Template template = new Template();
            template.setName(entity.get("template"));
            pool.setTemplate(template);

            ret.add(pool);
        }

        return ret;
    }
}
