/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import java.util.List;

import javax.ws.rs.Produces;

import com.redhat.rhevm.api.common.resource.UriInfoProvider;
import com.redhat.rhevm.api.model.BaseDevice;
import com.redhat.rhevm.api.model.BaseDevices;
import com.redhat.rhevm.api.resource.MediaType;

import com.redhat.rhevm.api.powershell.util.PowerShellParser;
import com.redhat.rhevm.api.powershell.util.PowerShellPoolMap;
import com.redhat.rhevm.api.resource.ReadOnlyDevicesResource;

@Produces({MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON, MediaType.APPLICATION_X_YAML})
public abstract class AbstractPowerShellDevicesResource<D extends BaseDevice, C extends BaseDevices>
    extends UriProviderWrapper
    implements ReadOnlyDevicesResource<D, C> {

    protected String parentId;

    public AbstractPowerShellDevicesResource(String parentId,
                                             PowerShellPoolMap shellPools,
                                             PowerShellParser parser,
                                             UriInfoProvider uriProvider) {
        super(null, shellPools, parser, uriProvider);
        this.parentId = parentId;
    }

    public AbstractPowerShellDevicesResource(String parentId, PowerShellPoolMap shellPools, UriInfoProvider uriProvider) {
        this(parentId, shellPools, null, uriProvider);
    }

    public abstract D addLinks(D device);

    public abstract List<D> getDevices();
}
