/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import java.util.List;
import javax.ws.rs.core.Response;
import com.redhat.rhevm.api.common.util.LinkHelper;
import com.redhat.rhevm.api.model.Role;
import com.redhat.rhevm.api.model.Roles;
import com.redhat.rhevm.api.resource.RolesResource;
import com.redhat.rhevm.api.resource.RoleResource;

public class PowerShellRolesResource extends InjectableUriProviderBase implements RolesResource {

    public List<Role> runAndParse(String command) {
        return PowerShellRoleResource.runAndParse(getPool(), getParser(), null, command);
    }

    public Role runAndParseSingle(String command) {
        return PowerShellRoleResource.runAndParseSingle(getPool(), getParser(), null, command);
    }

    @Override
    public Roles list() {
        Roles ret = new Roles();
        for (Role Role : runAndParse("get-roles")) {
            ret.getRoles().add(LinkHelper.addLinks(getUriInfo(), Role));
        }
        return ret;
    }

    @Override
    public Response add(Role role) {
        // REVISIT
        return null;
    }

    @Override
    public void remove(String id) {
        // REVISIT
    }

    @Override
    public RoleResource getRoleSubResource(String roleId) {
        return new PowerShellRoleResource(roleId, null, executor, shellPools, parser, this);
    }
}
