/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.Response;

import com.redhat.rhevm.api.model.BaseResource;
import com.redhat.rhevm.api.model.Statistic;
import com.redhat.rhevm.api.model.Statistics;
import com.redhat.rhevm.api.resource.StatisticResource;
import com.redhat.rhevm.api.resource.StatisticsResource;

public class PowerShellStatisticResource<R extends BaseResource> implements StatisticResource {

    private String id;
    private StatisticsResource collection;

    protected PowerShellStatisticResource(String id, StatisticsResource collection) {
        this.id = id;
        this.collection = collection;
    }

    @Override
    public Statistic get() {
        Statistics statistics = collection.list();
        for (Statistic statistic : statistics.getStatistics()) {
            if (id.equals(statistic.getId())) {
                return statistic;
            }
        }
        throw new WebApplicationException(Response.Status.NOT_FOUND);
    }
}
